commit da906ddbfa5aa992c116fee7c95959cd79915f16
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 4 01:04:48 2025 +0200

    poppler 25.10.0

 CMakeLists.txt      |  6 +++---
 NEWS                | 17 +++++++++++++++++
 cpp/CMakeLists.txt  |  2 +-
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile    |  2 +-
 qt6/src/Doxyfile    |  2 +-
 7 files changed, 25 insertions(+), 8 deletions(-)

commit 8c920bcfc4e6501be5b0dc3ce3775587d6a5f602
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Oct 3 15:57:11 2025 +0200

    Fix data driven tests for non-signature builds

    Make the ifdeffery a bit more complicated to allow functioning things
    for builds without signatures enabled.

 qt6/tests/check_signature_basics.cpp | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit d916b885bee01cf6ee52b4ac213a4abb41703344
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 3 02:00:52 2025 +0200

    Update po files

 utils/po/ca/pdfsig.po | 6 +++---
 utils/po/pdfsig.pot   | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 68f2e306cb2e97c2778dfe655a0a910feb1517b5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 1 11:08:38 2025 +0200

    Update (C)

 cpp/tests/poppler-dump.cpp           | 1 +
 glib/poppler-document.cc             | 1 +
 goo/GooString.cc                     | 1 +
 poppler/Annot.cc                     | 2 +-
 poppler/Annot.h                      | 2 +-
 poppler/PageLabelInfo.cc             | 1 +
 poppler/SecurityHandler.cc           | 2 +-
 poppler/StructTreeRoot.cc            | 1 +
 qt5/tests/check_signature_basics.cpp | 2 +-
 splash/SplashBitmap.cc               | 1 +
 splash/SplashTypes.h                 | 1 +
 utils/pdfsig.cc                      | 2 +-
 utils/pdftocairo-win32.cc            | 1 +
 utils/pdftoppm.cc                    | 1 +
 utils/pdftops.cc                     | 1 +
 utils/pdftotext.cc                   | 1 +
 16 files changed, 16 insertions(+), 5 deletions(-)

commit 358411b04fbf868b37add3f73e089ddb0684f57f
Author: Lucas Baudin <lucas.baudin@ensae.fr>
Date:   Fri Jan 17 20:46:55 2025 +0100

    Add an attribute to the AnnotInk class to make annotation drawn
    "below", i.e. with a multiply blend mode.

    This may be used for highlighting.
    Also add the necessary GLib binding.

 glib/demo/annots.c    |  9 ++++++++-
 glib/poppler-annot.cc | 31 +++++++++++++++++++++++++++++++
 glib/poppler-annot.h  |  4 ++++
 poppler/Annot.cc      | 51
 +++++++++++++++++++++++++++++++++++++++++++++++----
 poppler/Annot.h       |  3 +++
 5 files changed, 93 insertions(+), 5 deletions(-)

commit de44e3476fa8b8b0943cd162980c174793b12537
Author: Lucas Baudin <lucas.baudin@ensae.fr>
Date:   Fri Jan 17 20:46:55 2025 +0100

    Refactor AnnotInk to generate appearance when the ink list is set
    and not only for drawing.

    This is useful when a file is saved and the annotation has not been
    drawn yet.

 poppler/Annot.cc | 81
 ++++++++++++++++++++++++++++++++------------------------
 poppler/Annot.h  |  1 +
 2 files changed, 47 insertions(+), 35 deletions(-)

commit 62747813b3f45dc7678652147418a4dec0aaaa5f
Author: Zsombor Hollay-Horvath <hollay.horvath@gmail.com>
Date:   Tue Sep 30 17:01:45 2025 +0200

    CPP API: fix for bad embedded file name

    Changes on the `embedded_file` type:
    - new `unicodeName()` method
    - deprecate old `name()` method

 cpp/poppler-embedded-file.cpp | 10 ++++++++++
 cpp/poppler-embedded-file.h   |  4 +++-
 cpp/tests/poppler-dump.cpp    |  4 ++--
 3 files changed, 15 insertions(+), 3 deletions(-)

commit 4ce27cc826bf90cc8dbbd8a8c87bd913cccd7ec0
Author: Kevin Backhouse <kevinbackhouse@github.com>
Date:   Wed Sep 3 14:36:54 2025 +0100

    Check for duplicate entries

 poppler/StructTreeRoot.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 3b605b9fb8aba26b2c9c6fe5973dd8c5c69705a9
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Jun 8 16:47:31 2023 +0200

    Don't embed substitutions for base14 fonts

    If one asks for a base14 font, but receives some kind of substitution
    (e.g. Arial for Helvetica), don't actually embed it, but just
    reference
    it instead.

    This helps us finding especially base14 fonts if asked to be used for
    annotations

 poppler/Form.cc            | 20 +++++++++++++-------
 poppler/Form.h             |  3 ++-
 poppler/GfxFont.cc         | 12 ++++++++++++
 poppler/GfxFont.h          |  2 ++
 poppler/GlobalParams.cc    |  4 +++-
 poppler/GlobalParams.h     |  3 ++-
 poppler/GlobalParamsWin.cc | 17 ++++++++++++++++-
 7 files changed, 50 insertions(+), 11 deletions(-)

commit 67b659881837d39dc6b63a6a4c8a81a3771cbce4
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Sep 17 15:57:01 2025 +0200

    Revert "FormWidgetSignature::signDocumentWithAppearance: add imagePath
    parameter"

    It in general mostly triggered bugs downstream and didn't fix
    anything.

    For certain signature patterns from at least Okular, where replacing
    the
    background on signing previously created signatures was not expected.

    See for example KDE bug 508518

    This reverts commit 61e4f56ea85f6c094eddf7df56cc6eb2d688d7f4.

 poppler/Form.cc         | 14 +-------------
 poppler/Form.h          |  2 +-
 qt5/src/poppler-form.cc |  3 +--
 qt6/src/poppler-form.cc |  3 +--
 utils/pdfsig.cc         |  3 +--
 5 files changed, 5 insertions(+), 20 deletions(-)

commit d3c7a0e3075b7f9ad28aad54e30829eac0dc458f
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Sep 26 16:29:00 2025 +0200

    Add and restructure unit test

    Move the pgp tests to a seperate file for convenience

    Add an extra document to loop all the 'normal' tests over
    to ensure that we also handle randomly-padded documents

 qt6/tests/CMakeLists.txt                 |   2 +
 qt6/tests/check_signature_basics.cpp     | 165 +++--------------------
 qt6/tests/check_signature_basics_pgp.cpp | 217
 +++++++++++++++++++++++++++++++
 3 files changed, 236 insertions(+), 148 deletions(-)

commit 7937d16e0f864e674fd5fbf84f306cc66f86f7c3
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Sep 26 16:47:08 2025 +0200

    Handle signatures padded with random

    At least some official austrian signature tools pads their signatures
    with random instead of padding with nulls as what is specified.

    Let our partial asn1-parser get the actual signature in those
    cases and
    read it from the signature data rather than re-reading the document.

 poppler/Form.cc                      | 158
 ++++++++++++-----------------------
 poppler/Form.h                       |  16 ++--
 qt5/src/poppler-form.cc              |   8 +-
 qt5/tests/check_signature_basics.cpp |   6 +-
 qt6/src/poppler-form.cc              |   8 +-
 qt6/tests/check_signature_basics.cpp |   9 +-
 utils/pdfsig.cc                      |   9 +-
 7 files changed, 78 insertions(+), 136 deletions(-)

commit 1e128a8dc6ca06f1d02b6e095b76aa01e44a5ffd
Author: lbaudin <lbaudin@gnome.org>
Date:   Tue Sep 23 22:55:02 2025 +0200

    glib: fix signature text in glib binding

    A typo replaced the signature text with the left signature text.
    Fix
    https://gitlab.freedesktop.org/poppler/poppler/-/commit/c3b2c097ac0a38db0671bd4d78a917d5b9892da4

 glib/poppler-document.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f72b4935c2b120a6d58cf76121313ba86fabc9a1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 23 00:25:53 2025 +0200

    Fix pdf-fullrewrite destroying documents

    It's a good thing we don't install this ^_^

 test/pdf-fullrewrite.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99bc26379897b023236ddc1234f5ffa21977f189
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 22 15:21:57 2025 +0200

    Don't search+insert in std::sets

    insert and use the bool that tells us if it was inserted

 poppler/Form.cc | 13 +++++--------
 poppler/Gfx.cc  | 18 +++++++++---------
 2 files changed, 14 insertions(+), 17 deletions(-)

commit bb547a3ccbcd1b2965708542981cd7e9cf46d3bf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 20:14:41 2025 +0200

    Dict * to const Dict &

 poppler/Catalog.cc        |  2 +-
 poppler/StructTreeRoot.cc | 25 ++++++++++++-------------
 poppler/StructTreeRoot.h  |  8 ++++----
 3 files changed, 17 insertions(+), 18 deletions(-)

commit 56d32b0aff022698787ffed291851049822b5a81
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:37:25 2025 +0200

    A few Array * to const Array &

 poppler/Annot.cc           | 72 ++++++++++++++++++++--------------------
 poppler/Annot.h            | 14 ++++----
 poppler/Catalog.cc         | 14 ++++----
 poppler/Catalog.h          |  2 +-
 poppler/GfxState.cc        | 82
 +++++++++++++++++++++++-----------------------
 poppler/GfxState.h         | 16 ++++-----
 poppler/Link.cc            | 50 ++++++++++++++--------------
 poppler/Link.h             |  4 +--
 poppler/OptionalContent.cc | 34 +++++++++----------
 poppler/OptionalContent.h  | 10 +++---
 10 files changed, 149 insertions(+), 149 deletions(-)

commit ae783b8a7a72fb9266e148facd7ef90ed5cd924d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:26:00 2025 +0200

    MediaRendition::MediaRendition: take const Dict &

 poppler/Link.cc      | 4 ++--
 poppler/Rendition.cc | 8 ++++----
 poppler/Rendition.h  | 2 +-
 3 files changed, 7 insertions(+), 7 deletions(-)

commit f2d0fd13293dc1cc275bb1e735758f56748e9d00
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:23:23 2025 +0200

    MediaParameters::parseMediaScreenParameters; Take const &

 poppler/Rendition.cc | 14 +++++++-------
 poppler/Rendition.h  |  2 +-
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 6d7c640ab3303e61e6855167a2c162a88710da4b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:22:05 2025 +0200

    MediaParameters::parseMediaPlayParameters: Take const Dict &

 poppler/Rendition.cc | 18 +++++++++---------
 poppler/Rendition.h  |  2 +-
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 219d83e30b1f4506f43810301b3d2afaabfc15d8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:20:31 2025 +0200

    MediaWindowParameters::parseFWParams: Take const Dict &

 poppler/Rendition.cc | 20 ++++++++++----------
 poppler/Rendition.h  |  4 ++--
 2 files changed, 12 insertions(+), 12 deletions(-)

commit 898f740b15ead009499655734adb490191a74a6e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:17:26 2025 +0200

    PageLabelInfo::PageLabelInfo: Take Dict

 poppler/Catalog.cc       |  2 +-
 poppler/PageLabelInfo.cc | 10 +++++-----
 poppler/PageLabelInfo.h  |  4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 3156b09004473bfe3d3935ec4030b135f59c4f53
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:15:36 2025 +0200

    Interval::Interval: Take Dict

 poppler/PageLabelInfo.cc | 10 +++++-----
 poppler/PageLabelInfo.h  |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 135b11dfd956e35e6c9e68365a3e10ca59a653e4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:13:50 2025 +0200

    Interval::Interval: Take const &

 poppler/PageLabelInfo.cc | 10 +++++-----
 poppler/PageLabelInfo.h  |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 3832aa50afea54f92c77a315d296fdb050476aa5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:11:33 2025 +0200

    PageLabelInfo::labelToIndex: Return std::optional

 poppler/Catalog.cc       |  4 +++-
 poppler/PageLabelInfo.cc | 18 +++++++-----------
 poppler/PageLabelInfo.h  |  2 +-
 3 files changed, 11 insertions(+), 13 deletions(-)

commit 0ab2f014d621b84315fdb238ea2238b3719574bc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:07:06 2025 +0200

    PageLabelInfo::PageLabelInfo: Take const &

 poppler/Catalog.cc       |  4 ++--
 poppler/PageLabelInfo.cc | 10 +++++-----
 poppler/PageLabelInfo.h  |  4 ++--
 3 files changed, 9 insertions(+), 9 deletions(-)

commit 5a57027bd0d939c57676c7e63618764ea9f04555
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 17:04:48 2025 +0200

    PageLabelInfo::labelToIndex; Take std::string

 poppler/Catalog.cc       | 2 +-
 poppler/PageLabelInfo.cc | 8 ++++----
 poppler/PageLabelInfo.h  | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 7af8aa5935dc860d7b6e543b60e004484bdb6bfc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 16:59:54 2025 +0200

    Catalog::labelToIndex: Take const &

 cpp/poppler-document.cpp    |  2 +-
 glib/poppler-document.cc    |  4 ++--
 poppler/Catalog.cc          |  6 +++---
 poppler/Catalog.h           |  4 ++--
 qt5/src/poppler-document.cc | 10 +++++-----
 qt6/src/poppler-document.cc | 10 +++++-----
 6 files changed, 18 insertions(+), 18 deletions(-)

commit c7515614dcd585e9a2bda71768ef266e1a724397
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 21 16:58:14 2025 +0200

    PageLabelInfo::labelToIndex: Take const &

 poppler/Catalog.cc       |  2 +-
 poppler/PageLabelInfo.cc | 14 +++++++-------
 poppler/PageLabelInfo.h  |  4 ++--
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 42278b2d5bbc08e4873cc420791afe62b97e2860
Author: Adam Sampson <ats@offog.org>
Date:   Sun Sep 14 18:36:09 2025 +0100

    Remove unused splashColorXor

    Like Splash::xorFill, this was only used by xpdf to highlight the
    selection.

 splash/SplashTypes.h | 11 -----------
 1 file changed, 11 deletions(-)

commit 4d9f78638378592ab97056a7c221968b06ae06f9
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Sep 17 09:04:11 2025 +0200

    CI: Use newer gnupg 2.4

    We now have gcc 15 in our CI and that one fails to compile us a gnupg
    2.4.4, because of different default standards versions. Bump to
    a newer
    gnupg that isn't using the keywords of the new standard version
    keywords
    as variable names

 do-the-gnupg-2.4-dance.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 490b964ee14af1409d0a03079a3561fa5ac37af1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 14 16:24:24 2025 +0200

    Add static assert to check formatStrings is the correct size

 goo/GooString.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 062ab87df73fe715d587523cc0b1e198cd318c26
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 13:50:38 2025 +0200

    mingw warnings

 splash/SplashBitmap.cc | 1 +
 utils/Win32Console.cc  | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit b3ed0b8a899110133fc74cfb7f9a06f63f8580bf
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 12:43:05 2025 +0200

    GooString: append(char) return void like std::string::push_back

 fofi/FoFiType1C.cc     | 3 ++-
 goo/GooString.h        | 6 +-----
 poppler/PSOutputDev.cc | 6 ++++--
 3 files changed, 7 insertions(+), 8 deletions(-)

commit a950bfde9d70d7498909969c7d477d52f7352859
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 12:36:08 2025 +0200

    GooString: remove del(), we have std::string::erase

 goo/GooString.h               |  2 +-
 goo/gfile.cc                  |  4 ++--
 poppler/Annot.cc              |  4 ++--
 poppler/FileSpec.cc           |  4 ++--
 poppler/Form.cc               |  4 ++--
 poppler/GlobalParams.cc       | 18 +++++++++---------
 poppler/GlobalParamsWin.cc    | 10 +++++-----
 poppler/LocalPDFDocBuilder.cc |  2 +-
 poppler/PSOutputDev.cc        |  2 +-
 utils/HtmlLinks.cc            |  2 +-
 utils/HtmlOutputDev.cc        |  4 ++--
 utils/pdftocairo-win32.cc     |  2 +-
 utils/pdftocairo.cc           |  2 +-
 utils/pdftoppm.cc             |  2 +-
 14 files changed, 31 insertions(+), 31 deletions(-)

commit 4e36e1f66e499822fdca8cd6f10ffcb746e84d5e
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 12:28:45 2025 +0200

    GooString: let del return void to be similar to std::string::erase

    Also drop default argument; std::string::erase has a different default
    length

 goo/GooString.h            | 6 +-----
 poppler/FileSpec.cc        | 4 ++--
 poppler/GlobalParams.cc    | 2 +-
 poppler/GlobalParamsWin.cc | 8 +++++---
 poppler/PSOutputDev.cc     | 2 +-
 5 files changed, 10 insertions(+), 12 deletions(-)

commit f6dcd06445b6b7795b4c8f654206c5aef3d79100
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 12:28:20 2025 +0200

    GooString: remove getLength and use std::string::size instead

 cpp/poppler-document.cpp          |  2 +-
 cpp/poppler-embedded-file.cpp     |  4 +-
 cpp/poppler-private.cpp           |  2 +-
 fofi/FoFiTrueType.cc              |  2 +-
 fofi/FoFiType1C.cc                | 22 +++++-----
 glib/poppler-annot.cc             |  2 +-
 glib/poppler-attachment.cc        |  4 +-
 glib/poppler-document.cc          | 12 +++---
 glib/poppler-page.cc              |  8 ++--
 goo/GooString.cc                  |  2 +-
 goo/GooString.h                   |  5 ++-
 goo/gfile.cc                      |  8 ++--
 poppler/Annot.cc                  | 89
 ++++++++++++++++++++-------------------
 poppler/Annot.h                   |  2 +-
 poppler/CairoOutputDev.cc         |  6 +--
 poppler/Decrypt.cc                | 20 ++++-----
 poppler/FileSpec.cc               | 14 +++---
 poppler/FontInfo.cc               |  2 +-
 poppler/Form.cc                   | 24 +++++------
 poppler/Gfx.cc                    | 10 ++---
 poppler/GfxFont.cc                |  2 +-
 poppler/GfxState.cc               |  2 +-
 poppler/GlobalParams.cc           |  8 ++--
 poppler/GlobalParamsWin.cc        |  9 ++--
 poppler/MarkedContentOutputDev.cc |  2 +-
 poppler/NSSCryptoSignBackend.cc   |  4 +-
 poppler/Object.cc                 | 10 ++---
 poppler/PDFDoc.cc                 | 26 ++++++------
 poppler/PSOutputDev.cc            | 12 +++---
 poppler/PageLabelInfo.cc          |  6 +--
 poppler/Parser.cc                 |  2 +-
 poppler/SecurityHandler.cc        | 15 +++----
 poppler/TextOutputDev.cc          |  6 +--
 qt5/src/poppler-embeddedfile.cc   |  2 +-
 qt5/src/poppler-form.cc           |  6 +--
 qt5/src/poppler-private.cc        | 14 +++---
 qt5/tests/check_goostring.cpp     | 10 ++---
 qt5/tests/check_strings.cpp       |  6 +--
 qt6/src/poppler-embeddedfile.cc   |  2 +-
 qt6/src/poppler-form.cc           |  6 +--
 qt6/src/poppler-private.cc        |  2 +-
 qt6/tests/check_goostring.cpp     | 10 ++---
 qt6/tests/check_strings.cpp       |  6 +--
 utils/HtmlFonts.cc                |  2 +-
 utils/HtmlLinks.cc                |  2 +-
 utils/HtmlOutputDev.cc            |  8 ++--
 utils/pdfdetach.cc                |  4 +-
 utils/pdfsig.cc                   |  4 +-
 utils/pdftocairo-win32.cc         |  6 +--
 utils/pdftocairo.cc               | 10 ++---
 utils/pdftohtml.cc                | 20 ++++-----
 utils/pdftoppm.cc                 |  6 +--
 utils/pdftops.cc                  |  4 +-
 utils/pdftotext.cc                |  8 ++--
 54 files changed, 240 insertions(+), 242 deletions(-)

commit 5336079bde6d1dfac67b66b45f6f61891d747d30
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 10:54:12 2025 +0200

    Simplify some GooString / std::string usage

 poppler/CharCodeToUnicode.cc | 4 ++--
 poppler/PDFDoc.cc            | 4 ++--
 poppler/StructElement.cc     | 6 +++---
 poppler/StructElement.h      | 4 ++--
 4 files changed, 9 insertions(+), 9 deletions(-)

commit 20950ddf18f52a2bdab0788f18654bff9f4f962a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 11 00:40:16 2025 +0200

    ViewerPreferences: Take const & instead of pointer

 poppler/Catalog.cc           |  2 +-
 poppler/ViewerPreferences.cc | 30 +++++++++++++++---------------
 poppler/ViewerPreferences.h  |  4 ++--
 3 files changed, 18 insertions(+), 18 deletions(-)

commit 989a4fab7bfedd36f6374235adb06b6aab0cbbb8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 11 00:34:46 2025 +0200

    Update (C)

 goo/gfile.cc             | 1 +
 poppler/Movie.cc         | 1 +
 poppler/Object.cc        | 1 +
 poppler/SignatureInfo.cc | 2 +-
 poppler/SignatureInfo.h  | 2 +-
 5 files changed, 5 insertions(+), 2 deletions(-)

commit 2c8f53543a1bd9c593ebe75c5f700f917bcc8550
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 13 15:51:05 2025 +0200

    GooString: remove copy from GooString* constructor

 goo/GooString.h               |  3 +--
 goo/gfile.cc                  |  4 +---
 poppler/Object.cc             |  4 ++--
 qt5/tests/check_goostring.cpp |  5 -----
 qt6/tests/check_goostring.cpp |  5 -----
 utils/pdftohtml.cc            | 16 +++++++---------
 6 files changed, 11 insertions(+), 26 deletions(-)

commit 4261cd95e0eb94f0d5510cd615b0f4c9b8593ad1
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Mar 11 14:52:31 2025 +0100

    More places to take advantage of takeString

    Also some where the slightly weird GooString(const GooString* )
    constructor is used

 poppler/Annot.cc           |  6 +++---
 poppler/Form.cc            | 24 ++++++++++++------------
 poppler/GfxFont.cc         |  4 ++--
 poppler/Link.cc            |  8 ++++----
 poppler/Movie.cc           |  2 +-
 poppler/OptionalContent.cc |  2 +-
 poppler/PDFDoc.cc          |  4 ++--
 poppler/Rendition.cc       |  4 ++--
 poppler/StructElement.cc   | 12 ++++++------
 9 files changed, 33 insertions(+), 33 deletions(-)

commit 230aef3c1da455d370d5b261dc490088b6151ff6
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 10 16:33:05 2025 +0100

    Object: allow to move string out

    In many cases, we take a copy of Object, then we copy out the string
    from it and destroy it.

    Make it possible to re-use the string data from inside the object.

    This doesn't implement everyone using it, just across a couple
    of files.

 poppler/Annot.cc         | 24 ++++++++++++------------
 poppler/FileSpec.cc      | 12 ++++++------
 poppler/Form.cc          |  8 ++++----
 poppler/Object.h         |  9 +++++++++
 poppler/SignatureInfo.cc |  8 ++++----
 poppler/SignatureInfo.h  |  4 ++--
 6 files changed, 37 insertions(+), 28 deletions(-)

commit ab1d04981127e0a146fb4f238af54d83a607f76a
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Feb 25 15:24:58 2025 +0100

    Update font in formfield annot when adding a font

    It is likely that in cases where we have a type1 or a subsetted font
    that we don't have the glyphs that we are using and then add a
    new font
    for it.

    Also then use the new font for the appearance.

    This is at least KDE bugs :
    475025 471796 475884 and maybe 283477

 poppler/Form.cc | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 27dff946d3509ce42586980ce14eb1c7d179b230
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 4 14:16:11 2025 +0200

    Make style variable a std::string

 poppler/GlobalParams.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 53dd41c6db719aa4523d27a62be9edc3d6f6b131
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 4 14:13:00 2025 +0200

    SysFontInfo::match: take std::string instead of GooString

 poppler/GlobalParams.cc | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit ce518de07f6f960f628db08a041dfedaf237cbeb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 4 14:11:27 2025 +0200

    Remove unused function

 poppler/GlobalParams.cc | 6 ------
 1 file changed, 6 deletions(-)

commit 161bb877eafacf381203ff44b40eaad990cb96d3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 4 14:10:58 2025 +0200

    SysFontInfo::match: Take & instead of *

 poppler/GlobalParams.cc | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 80f676e71c92cecb27306587332e3fd32786f2b6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 3 23:16:00 2025 +0200

    poppler 25.09.1 did not have these speed imrovements

    I'm not going to remake the tarball though

 NEWS | 2 --
 1 file changed, 2 deletions(-)

commit a838b83ec22bc213d47ae2144500ee7ff6648895
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 3 23:12:48 2025 +0200

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit afdec00e75200fa8d831901c6d53ce96d9ba88cb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 3 22:43:41 2025 +0200

    poppler 25.09.1

 CMakeLists.txt   | 2 +-
 NEWS             | 9 +++++++++
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 5 files changed, 13 insertions(+), 4 deletions(-)

commit 173ad98cec1f033312e337a53059b37428a317fc
Author: Azhar Momin <azhar-momin@outlook.com>
Date:   Wed Sep 3 16:40:33 2025 +0530

    poppler.pc: Add gpgmepp to Requires.private only if >= 1.24.0

 CMakeLists.txt | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2933c03f415e752b338dbfdb582704abc66c6cee
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 10:56:24 2025 +0200

    No need to store the vector size separately

 poppler/Function.cc | 12 ++++++------
 poppler/Function.h  |  3 +--
 2 files changed, 7 insertions(+), 8 deletions(-)

commit 198a163520b1da2ab2e7083db14027a051155cba
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 10:48:15 2025 +0200

    getCharCodeToUnicode: Move the shared ptr when pushing to the deque

 poppler/CharCodeToUnicode.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 30f9d038454985622b0467baa80c3db09175efd7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 10:40:40 2025 +0200

    Catalog::getDisplayProfile: Remove unneeded hp variable

 poppler/Catalog.cc | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 3a1e251378be50376087677ce5838644dedc2179
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 20:42:49 2025 +0200

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 7bbac7ef48f35b4adad68513785afc74a07fb0d4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 20:21:20 2025 +0200

    poppler 25.09.0

 CMakeLists.txt   |  6 +++---
 NEWS             | 16 ++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 22 insertions(+), 6 deletions(-)

commit e7a630787ad486c120a2943686d4f581f86767c1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 19:04:27 2025 +0200

    Increase fileStreamBufSize to a more modern value

 poppler/Stream.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9109e8465eea1ef41470f23ed0a5ca9e8b8aad77
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 1 01:07:48 2025 +0200

    Update po[t]

 utils/po/ca/pdfsig.po | 6 +++---
 utils/po/pdfsig.pot   | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 0ad154de8322c0b5630c95f3b3edaee62f350072
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 31 22:49:33 2025 +0200

    Update (C)

 goo/GooString.cc                                          | 2 +-
 goo/GooString.h                                           | 2 +-
 poppler/Catalog.cc                                        | 1 +
 poppler/Catalog.h                                         | 1 +
 poppler/Gfx.cc                                            | 1 +
 poppler/GfxState.cc                                       | 1 +
 poppler/GfxState.h                                        | 1 +
 test/goostring-format-checker/goostring-format-checker.cc | 2 +-
 utils/pdfdetach.cc                                        | 2 +-
 utils/pdfsig.cc                                           | 2 +-
 10 files changed, 10 insertions(+), 5 deletions(-)

commit 12e843b65e2bcf01557bf8c99030778b7f4a0a87
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 31 19:29:34 2025 +0200

    GooStringFormatChecker: All warnings are errors

    And fix the warnings that are now errors

 .gitlab-ci.yml                                            |  2 ++
 goo/GooString.cc                                          | 11
 +++++++++++
 goo/GooString.h                                           |  2 ++
 poppler/Annot.cc                                          |  3 +--
 poppler/Gfx.cc                                            |  8 +++-----
 poppler/PSOutputDev.cc                                    |  6 +++++-
 test/goostring-format-checker/goostring-format-checker.cc |  4 ++--
 utils/pdfdetach.cc                                        |  6 +++++-
 utils/pdfsig.cc                                           | 10 ++++------
 9 files changed, 35 insertions(+), 17 deletions(-)

commit fdaba94c74e9d9abc25e2138077612b9971c05e3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 31 19:45:49 2025 +0200

    Unbreak glib pc file

 poppler-glib.pc.cmake | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 0aaf1f6f8940c088f67a0ee761653d996f7c0f97
Author: Azhar Momin <azhar-momin@outlook.com>
Date:   Sun Aug 24 23:09:10 2025 +0530

    Fix pkg-config static linking support

 .gitlab-ci.yml                                     |  8 ++++-
 CMakeLists.txt                                     | 33 ++++++++++++-----
 cmake/modules/FindNSS3.cmake                       |  2 +-
 poppler-cpp.pc.cmake                               |  4 +--
 poppler-glib.pc.cmake                              |  8 +++--
 poppler-qt5.pc.cmake                               |  5 +--
 poppler-qt6.pc.cmake                               |  5 +--
 poppler.pc.cmake                                   |  2 ++
 test/pkgconfig_test/CMakeLists.txt                 | 28 +++++++++++++++
 test/pkgconfig_test/poppler_cpp_test.cpp           | 22 ++++++++++++
 test/pkgconfig_test/poppler_glib_test.c            | 42
 ++++++++++++++++++++++
 .../pkgconfig_test/poppler_qt5_test/CMakeLists.txt |  8 +++++
 .../poppler_qt5_test/poppler_qt5_test.cpp          | 23 ++++++++++++
 .../pkgconfig_test/poppler_qt6_test/CMakeLists.txt |  8 +++++
 .../poppler_qt6_test/poppler_qt6_test.cpp          | 23 ++++++++++++
 15 files changed, 202 insertions(+), 19 deletions(-)

commit 61a11d1d48716e1cffafd683d61fcb61f25d1490
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 31 16:27:51 2025 +0200

    charToTag: take std::string

 fofi/FoFiTrueType.cc | 10 +++++-----
 fofi/FoFiTrueType.h  |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit a1e1597a3e26e39d5fd53bea8470c4ab1bbb2783
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 31 16:25:06 2025 +0200

    setupGSUB: take std::string

 fofi/FoFiTrueType.cc | 23 ++++++++---------------
 fofi/FoFiTrueType.h  |  2 +-
 poppler/GfxFont.cc   |  6 +++---
 3 files changed, 12 insertions(+), 19 deletions(-)

commit 66518ef313267b1124f944749470c3d846b4b492
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 31 16:22:20 2025 +0200

    Remove unused FoFiTrueType::setupGSUB

 fofi/FoFiTrueType.cc | 11 +----------
 fofi/FoFiTrueType.h  |  5 +----
 2 files changed, 2 insertions(+), 14 deletions(-)

commit ed374a9f6df878e77ed683a1fbb8d85a616c9da1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 31 16:17:23 2025 +0200

    Convert toUnicodeMap to std::string

 poppler/GfxFont.cc | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 3dc3aa59e7b20748c89bc082bf9cce2841b89033
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 31 16:16:23 2025 +0200

    parseCMapFromFile: take std::string

 poppler/CharCodeToUnicode.cc | 6 +++---
 poppler/CharCodeToUnicode.h  | 2 +-
 poppler/GfxFont.cc           | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 25c3d8005d7c43a93841560eee8df0eca9566ed7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 31 16:07:07 2025 +0200

    parseFdFromUri: take std::string

 poppler/FDPDFDocBuilder.cc | 8 ++++----
 poppler/FDPDFDocBuilder.h  | 4 ++--
 2 files changed, 6 insertions(+), 6 deletions(-)

commit aa0384e268b6e713dd5e69bca53d3cd651f5c724
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 31 16:03:51 2025 +0200

    drawSignatureFieldText: take std::string instead of GooString

 poppler/Annot.cc | 24 ++++++++++++------------
 poppler/Annot.h  |  2 +-
 2 files changed, 13 insertions(+), 13 deletions(-)

commit 8ecf22b3aee828efe824c2dd698d8c62a430965b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 30 23:36:24 2025 +0200

    Two more GooString to std::string

 cpp/poppler-document.cpp             |  8 +++-----
 glib/poppler-document.cc             |  6 +++---
 poppler/Form.cc                      |  4 ++--
 poppler/PDFDoc.cc                    | 12 ++++++------
 poppler/PDFDoc.h                     |  8 ++++----
 qt5/tests/check_internal_outline.cpp | 32
 ++++++++++++++++----------------
 qt6/tests/check_internal_outline.cpp | 32
 ++++++++++++++++----------------
 test/pdf-fullrewrite.cc              |  4 ++--
 utils/pdfattach.cc                   |  4 ++--
 utils/pdfseparate.cc                 |  4 ++--
 10 files changed, 56 insertions(+), 58 deletions(-)

commit a0b7447b9d49fbf4137950fac0af7b3c6b396fb4
Author: Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>
Date:   Mon Aug 25 18:42:02 2025 +0200

    HtmlString: use getCurText[XY]() instead of getCur[XY]()

    The fix for #1602 that added curTextX() and curTextY() forgot
    to adjust
    HtmlOutputDev to use the new variables as well, leading to text
    coordinates being broken in pdftohtml output. Change HtmlString to use
    curTextX() and curTextY() so that it works with the new way of
    handling
    text coordinates.
